{% extends 'base.html.twig' %}

{% block body %}
    <div class="container mt-4">
        <div class="row mt-3">
            {% for piece in pieces %}
                <div class="col-md-3" style="margin-bottom: 30px;">
                    <div class="card" style="width: 18rem; background-color: #4c4c50;height: 100%;">
                        <a href="{{  path('show_piece', {id: piece.id}) }}">
                            {% if piece.namePicture %}
                                <img src="images/pieces/{{ piece.namePicture }}" class="card-img-top" alt="pièce {{ piece.namePicture }}">
                            {% else %}
                                <img src="https://via.placeholder.com/150" class="card-img-top" alt="pièce standart picture">
                            {% endif %}
                        </a>
                        <div class="card-body">
                            <h5 class="card-title">{{ piece.titre }}</h5>
                            <p class="card-text">{% if piece.date %}{{ piece.date|date('Y') }}{% endif %}</p>
                            <p class="card-text">{{ piece.description|slice(0,150) }}
                                {% if piece.description|length() > 150 %}
                                    ... <a href="{{  path('show_piece', {id: piece.id}) }}" style="color: white;">afficher plus</a>
                                {%  endif %}
                            </p>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}
